LINUX.ORG.RU

Debian 9 «Stretch»

 ,


3

2

После 26 месяцев разработки представлен стабильный выпуск Debian 9 с кодовым именем «Stretch», который будет поддерживаться в течение следующих 5 лет.

Релиз посвящён памяти основателя проекта Иана Мёрдока, который ушёл из жизни 28 декабря 2015 года.

Основные изменения:

  • Вариантом MySQL по умолчанию теперь является MariaDB.
  • Firefox и Thunderbird заменили Iceweasel и Icedove, поставлявшиеся в течение более чем 10 лет.
  • Команда dmesg теперь требует права root.
  • Для запуска дисплейной системы X более не требуются права root.
  • Пакеты отладки перенесены в новый репозиторий и имеют окончание -dbgsym вместо -dbg. Репозиторий можно добавить в список источников APT:
    deb http://deb.debian.org/debian-debug/ stretch-debug main
    

Новые версии ПО:

  • Apache 2.4.25;
  • Asterisk 13.14.1;
  • Chromium 59.0.3071.86;
  • Firefox 45.9 (в пакете firefox-esr);
  • GIMP 2.8.18;
  • GNOME 3.22;
  • GCC 6.3;
  • GnuPG 2.1;
  • Golang 1.7;
  • KDE Frameworks 5.28, KDE Plasma 5.8, KDE Applications 16.08 и PIM-компоненты 16.04;
  • LibreOffice 5.2;
  • Linux 4.9;
  • MariaDB 10.1;
  • MATE 1.16;
  • OpenJDK 8;
  • Perl 5.24;
  • PHP 7.0;
  • PostgreSQL 9.6;
  • Python 2.7.13 и 3.5.3;
  • Ruby 2.3;
  • Samba 4.5;
  • systemd 232;
  • Thunderbird 45.8;
  • Tomcat 8.5;
  • Xen Hypervisor;
  • Xfce 4.12.

Debian «Stretch» содержит более 51 000 других готовых к использованию пакетов ПО, собранных из немногим более 25 000 пакетов с исходным кодом.

Всего поддерживается десять архитектур: amd64, i386, ppc64el, s390x, armel, armhf, arm64, mips, mipsel, mips64el. Поддержка powerpc в «Stretch» прекращена.

>>> Подробности

★★★★★

Проверено: Klymedy ()

Зараза, ну почему все меняют постоянно?! Устал искать /etc/gdm/custom.conf Как отключить вяленого? Правил /etc/gdm3/daemon.conf там есть WaylandEnable=false. Раскомментировал и все равно «что-то пошло не так». Не работает nvidia на gnome в denial. Задолбало уже.

ult ()
Ответ на: комментарий от pihter

все, я подчеркиваю, ВСЕ, программы из потейто работают и сегодня

А если какие и умерли — даже у меня хватит опыта и сил взть сорсы, допилить и запустить сегодня

Т.е. без предолинга никак, ЧТД.

h578b1bde ★☆ ()
Ответ на: комментарий от m1ke

Конечному пользователю (домохозяйке) вообще по барабану какое там ядро.

Верно. Преимущества она ощущает косвенное, например в виде отсутствия пердолинга с драйверами после обновления.

А отсутствие нормального развития именно ядра привело к тому, что ваше ядро тормозное глюкалово, которое сраной метлой выперли с TOP500, с рынка веб-серверов.

Домохозяйке по барабану на TOP500 и рынок веб-серверов, ты же сам сказал.

h578b1bde ★☆ ()
Ответ на: комментарий от m1ke

а какая тебе собственно разница? ничего не отваливалось, ничего не ломалось. Мы же не спрашиваем у тебя, сколько раз менялся у тебя в ХП тот единственный кодек, что шел в комплекте? да ты и не знаешь - тебе ведь не отчитываются, ты жрешь что дают.

Нет, я пользуюсь отличными от дефолтных кодеками, хотя проекции фанатиками своих проблем на весь мир весьма занятные.

h578b1bde ★☆ ()
Ответ на: комментарий от m1ke

выставлять свою тупость на всеобщее обозрение - сомнительный фан для нормальных людей.

Выставляешь свою непроходимую тупость в данном треде только лишь ты.

Тебе уже было на пальцах показана проблемность твоего метода, но ты это проигнорировал.

Недостатки одного метода не исключают проблем другого. Хотя о чём это я, у тебя же с логикой беда.

h578b1bde ★☆ ()
Ответ на: комментарий от pihter

ты вот либо не шаришь, либо лжешь. ниче тут не прибито. в гораздо меньшей степени завистит чем виндах твоих. тебе вторые сутки талдычат: «нужен php3» скачай и установи (гугление + секс) точно так же как и в винде. Не нашел — собери сам (точно так же как и в винде). Почему при этом у нас пердоленье а у вас благодать — ты мне скажи.

В винде секса меньше ибо ничего компилять там не нужно.

h578b1bde ★☆ ()
Ответ на: комментарий от pihter

но это не пердоленье

Установка дотнета? Нет, ощущения пердолинга от этого у меня как-то не было.

это только в дебиане пердолятся, а в виндах и так все работает и никакого депенденси хелл

А какой там депенденси хелл? Ну напишет какая-либо программка что ей нужен дотнет определённой версии и сама предложит его скачать и поставить. Не вижу тут проблемы, к тому же зависящего от дотнета софта в общей массе весьма мало.

h578b1bde ★☆ ()
Ответ на: комментарий от ult

У меня тоже весело. Грабли в разделы не ставятся. Ставил с дисков firmware, пакет родной под видео там есть, но не зацепился при установке. В результате иксы на весе закрутились. Хотя шустро так, хоть уэйлэнд, хоть нет. Рукаме вогнал прилагаемый дэб-пакет для AMD. Пакет норм, встал как литой, в X-логах radeon есть, но иксы всё равно на весе. Плюнул, спать пошёл. Всю ночь до утра возился, ажно Win95 вспомнил.

cuss ()
Ответ на: комментарий от NextGenenration

аргументы кончились?

Ну какие тут могут быть аргументы если после того как юзер захотел установить ffmpeg ему поставился libav и это почему-то считают адекватным.

h578b1bde ★☆ ()
Ответ на: комментарий от Sunderland93

взглянул, http://www.pixic.ru/i/20l1l40056P22658.png
что дальше?

Вот объясните мне, что же лучше Убунту ЛТС или этот ваш Дебиан?(Стреч)

Debian testing, ибо с релизом и баги замораживаются, и не факт что их профиксят, как пример xscreensaver или как его там, больше 2х лет в системе был кривой. А в тестинге есть вероятность того что будет пакет обновлен. И не смотря на то что он тестинг, будет по стабильней ubuntu, да по моему любой дистрибутив будет стабильней убунты и на ней основанных.

Dead_Mozay ()
Ответ на: комментарий от anonymous

Юзаю пару месяцев уже на основном десктопе, полёт отличный, кстати, весь гуй бегает как раз без рута, из-за использования gdm3

Да, хорошая фитча этот гуй без рута. Сегодня сделал чистую установку (на другую машинку). Startx+i3wm=получил иксы под обычного юзера.

Odalist ★★★★★ ()
Ответ на: комментарий от m1ke

И ты готов забиться, что выполнив эти манипуляции я получу 100% поведения и внешнего вида 7?

Нет, поскольку я этого не пробовал т.к. мне это не нужно. Тем не менее возможность есть, вперёд.

Ты опять дурачка включил? лук и фил мы обсуждаем тут лишь в контексте того, что при обновлении системы он может меняться и это не всегда может нравиться пользователю. Твой тезис о том, что в венде ты все всегда можешь вернуть как было - не состоятелен хотя бы просто потому, что возвращаешь ты не установкой старого софта, а новым сторонним - который может быть как угодно близок по лук энд фил, но не копирует со 100% точностью вплоть до багов.

И зачем тогда обновлять систему, неограниченный ты наш?

Чуваку не была нужна новая версия

Чуваку виднее что ему было нужно.

Нет уж, это удел исключительно виндузятников.

Стадия отрицания — лишь первый шаг, но я в тебя верю.

Тут нет недостатка системы дистрибуции вообще!

Есть.

Обсуждать же проблемы надо было не высираясь на форуме лора, а сходить в багтрекер xfce и оставить там баг, что поведение в версии такой-то никуда не годится.

На хождения в багтрекер к каждому разрабу жизни не хватит. Пользователю проще и комфортнее поставить устраивающую его версию, особенно если для этого не нужно пердолиться.

Но вендузятникам то этого никогда не понять - им некуда писать баги, а на все их вопли микрософт клал болт.

Stop reopening.

Про какой исходник ты вообще говоришь? про абстрактного коня в вакууме?

Проблемы с чтением или с пониманием? Про тот который собирается лишь более новой версией компилятора, очевидно же.

Чувак, ЛОЛИЩЕ позорное в этой ситуации только ты. В том посте у товарища Gentoo - прикинь, он УЖЕ СОБРАЛ СЕБЕ КОМПИЛЯТОР. Если он собрал что-то не той версии, если за совпадением версий в его системе никто не следит (даже он) - причем тут Debian вообще?! Или ты опять засклерозил какую систему мы с тобой обсуждаем?

Прекращай юлить. Лучше расскажи что мне делать если у меня не Gentoo.

Ты тут с пеной у рта доказываешь, что система зависимостей зло

Нет, я говорю что она неэффективна для распространения прикладного софта. Твои же фантазии мне не интересны.

Прикинь - им нет прикола ковыряться во всем, что этот писатель понаваял

Т.е. мейнтейнеры не нужны, отлично.

Посмотри на мозиллу - у них есть четкое деление где фиксят баги и где новые версии с новыми фичами и новыми багами.

Это та мозилла, браузера которой до недавнего времени в репозитариях дебиана не было?

А выполнять чужую работу и разбираться в чужом коде «а что это там автор хотел сделать вот этими изменениями» - никому интереса не представляет. Автор сам забил на своих пользователей болт - ну и бог с ним.

А их никто и не заставляет делать чужую работу. Пускай дадут пользователю софт с давно пофикшенными багами. В других дистрибутивах с этим же как-то справляются?

Мейнтейнеры существуют совсем для других целей - явно не для того, чтобы прибирать дерьмецо за другими. Но тебе этого не понять.

Ну так объясни, чего уж. Пока что я вижу только лишнюю прокладку между пользователем и разработчиком из-за упоротой экосистемы распространения софта.

Еще он мог бы сходить к мейнтейнерам дебиана и попросить не класть его глючную поделку в репозитарий - они с удовольствием пошли бы на встречу.

Если бы от его поделки что-либо зависело — не факт.

Они и так часто выкидывают софт из репы

И какой тогда во всём этом смысл?

h578b1bde ★☆ ()
Ответ на: комментарий от Twissel

nftables какой-то. Это что за зверь?

Это

nftables is a framework by the Netfilter Project that provides packet filtering, network address translation (NAT) and other packet mangling. Two of the most common uses of nftables is to provide firewall support and NAT. nftables is meant to replace the iptables framework.

Подробнее.

Odalist ★★★★★ ()
Ответ на: комментарий от h578b1bde

Вот это аргумент - всем аргументам аргумент!! Теоремы в школе так же доказывал? Пойдем от противном, получим бред, значит теорема доказана? Ты фффффкурсе, что нельзя просто так взять и (картинка с боромиром.жыпег) поставить дотнет последней версии, не поставив все предыдущие? Или жыыыырному сынуле мамаша купила б/у макбук на окончание четверти, дабы дитячко выделялось хоть чем-то от одноклассников, раз уж умом не способно? Ты форточки-то до чудо-восьмерочки или даже семерки видел? Или сам не видел, но одноклассник рассказал?

anonymous ()
Ответ на: комментарий от m1ke

Это показывает, что проблему ты высосал из пальца или откуда ты там ее насасывал с твоим то вечным пердолингом...

Вижу у тебя богатый опыт в этом деле.

Ты сам пользоваться поиском не умеешь? Вот держи ссылку чтобы больше не задавал глупых вопросов.

Там стоят циферки 5.6.30 возле jessie, а я хочу 5.4. Пакет от wheezy с апачем из jessie точно мне ничего не сломает?

Все, чувак, наступил EOL для ветки 5.4. Баги никто не будет править! Слезай с нее по срочному! Не плоди нам ботнеты по интенетам своими поделиями!

А как ты с неё слезешь по срочному? Это же всю систему в случае, к примеру, oldoldstable обновлять надо, что-то в любом случае сломается и по срочному уже не получится.

нет на данный момент такой проблемы!

Есть. Количество восклицательных знаков в твоих постах на её существование никак не влияет.

h578b1bde ★☆ ()
Ответ на: комментарий от anonymous

Вот это аргумент - всем аргументам аргумент!!

Отличный аргумент. Дотнет не зависит от предыдущих версий, поэтому ты напрасно стирал пальцы о клавиатуру.

Ты фффффкурсе, что нельзя просто так взять и (картинка с боромиром.жыпег) поставить дотнет последней версии, не поставив все предыдущие?

Какой именно версии?

Или жыыыырному сынуле

Не страдаю от лишнего веса, так что мимо.

мамаша купила б/у макбук

Не использую продукцию Apple.

дабы дитячко выделялось хоть чем-то от одноклассников

Не вижу в этом смысла, учитывая время когда я последний раз их видел.

Ты форточки-то до чудо-восьмерочки или даже семерки видел? Или сам не видел, но одноклассник рассказал?

C:\>ver

Microsoft Windows XP [Версия 5.1.2600]

Что дальше?

h578b1bde ★☆ ()
Ответ на: комментарий от NextGenenration

Вот жаль что тебе не пришлось без интернета ставить на винду софт. Который разбит на кусочки и втайне надеется что у тебя уже есть какой-то апдейт.

Использование линукса без интернета ничем не лучше.

h578b1bde ★☆ ()
Ответ на: комментарий от pihter

Аргумент парня, который ни за что не станет юзать старый хром на ХРхе потому что так за него кто-то решил и он будет вынужден съесть что дают!
А мне вот кажется что ты тоже самый обычный человек и надеваешь по одной штанине за раз, а корчишь из себя Чака Норриса, да такого, что это политика Хрома прогнется под тебя, а не ты под нее, слишком уж ты свободный

Не использую хром.

h578b1bde ★☆ ()
Ответ на: комментарий от pihter

Это значит что в дебиане нет назойливой установки говнософта рекламного, а в винде есть. И, (ща глумиться буду), мне не нужно пердолится с убиранием десятка галочек при установке каждой программы, что ты мне на это ответишь?

Что не нужно качать программы, в которых нужно убирать десятки галочек при установке.

что в этом вопросе дебиан лучше винды?

Разумеется, ведь тебя никто не заставляет ставить такой софт. Тем не менее если вдруг по какой-либо причине он понадобится — ты можешь им воспользоваться пусть даже и с убиранием галочек, в то время как с дебианом ты будешь разве что пытаться запустить его под вайном.

h578b1bde ★☆ ()
Ответ на: комментарий от pihter

тебе ж русский языка объяснили про обновления безопасности, которые возможны в случае динамической линковки и невозможны в случае статической? парируй этот довод: игнорировать некрасиво!

Способ линковки тут вообще мимо, ведь уязвимая библиотека может лежать рядом с бинарником и подгружаться динамически во время выполнения программы. А по поводу затронутого ранее вопроса с дистрибуцией софта без проблем: есть системы, где обновить всю ОС по какой-либо причине не представляется возможным. Например, там есть какой-либо специфический нужный софт, не работающий либо работающий не так как нужно на новых ОС/библиотеках. В случае если библиотека влияет на работу лишь одного приложения, для которого существуют векторы атаки — я могу обновить лишь его и ничего не сломается. Если же от библиотеки зависит куча приложений — может сломаться специфический софт, не работающий с новой версией библиотеки.

h578b1bde ★☆ ()
Ответ на: комментарий от pihter

На тебе еще, про пердоленье, как ты любишь https://geektimes.ru/post/31623/ известная паста в которой пердолится с виндой сам Билл Гейтс!

У меня есть сомнения в правдивости данного письма, особенно учитывая что мувимейкер в XP есть изкоробки. Тем не менее я соглашусь что сайт микрософта далеко не идеален.

h578b1bde ★☆ ()
Ответ на: комментарий от anonymous

aptitude уже давно заброшен своим автором

Автором может и заброшен (я хз), но проект жив - смотри в git и changlog. https://tracker.debian.org/pkg/aptitude
Вообщем aptitude не следует сбрасывать со счетов, но то что apt стал рекомендуемым очень даже может быть.

hitode ()
Ответ на: комментарий от Odalist

А можно запилить вместо стандартного xfce mate со всеми полагающимися приложениями, но при этом отказаться от systemd и systemd-*, включая systemd-shim, чтобы был чистый sysvinit?

anonymous ()
Ответ на: комментарий от h578b1bde

Ну что же вы, молодой человек, красноглазика сразу мордой в говно тыкаете! У него ж сейчас попа воспламенится от переизбытка чувств!

anonymous ()
Ответ на: комментарий от anonymous

А можно запилить вместо стандартного xfce mate со всеми полагающимися приложениями, но при этом отказаться от systemd и systemd-*, включая systemd-shim, чтобы был чистый sysvinit?

Как бы нет, потому, что

Due to the lack of upstream maintainers, the Upstart init system has been removed from stretch. If your system relies on this package, you should note that it will not be updated during the lifetime of Debian 9, and starting from Debian 10 (buster), Upstart jobs may be removed from packages.

Odalist ★★★★★ ()
Ответ на: комментарий от Odalist

Спасибо, но не хотелось бы, все-таки у дебиана и сообщество побольше и история разработки подольше, девуан вполне могут не потянуть любители-умельцы, да и закрыть проект, тем более, что он скорее на уровне олдстейбл

А вообще, жалко, что дебиан под и386, а не и686 как арч

anonymous ()